BANK KALTENG - Feature #3658

[BKT - Report PMS] Report PMS Individu Custome
06/09/2025 11:23 AM - Mohammad Daud

Status: QA Test Start date: 06/09/2025
Priority: Immediate Due date: 06/13/2025
Assignee: Mr Dhafin % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Yoma,

Minta bantuannya untuk membuat report PMS Individu sesuai dengan Template Terlampir, Referensi filter bisa menggunakan
Report Individu Standart Product.
Untuk Form Goal Setting ada tambahan Keterangan Penilaian dan informasinya bisa diambil dari tabel: CHROMO00004

Port: http://remote.minovais.com:61133
DB: MinovaES_BankKalteng_BaseServerProd (di 1452)

History

#1 - 06/09/2025 02:50 PM - Kezia Pawitra Yulianti
- Status changed from New to Assigned

- Priority changed from Normal to Urgent

#2 - 06/10/2025 01:33 PM - Tri Rizqiaty

- Assignee changed from Tri Rizgiaty to Mohammad Daud

Mas Daud, report referensinya ada diport mana ya? dan apa aja yg perlu dirubah dr report referensi itu?
Dan tolong dibuatin contoh datanya ya.

#3 - 06/13/2025 08:50 AM - Kezia Pawitra Yulianti

- Assignee changed from Mohammad Daud to Mr Dhafin

Dhafin,
tolong d info aja yaa port nya apa dan template reportnya gmn sesuai excel yg kmrn d download untuk di modif dl template nya.
Btw, untuk contoh data minta ke haykal yaa employee mana yg datanya lengkap buat d show

Btw, jangan lupa untuk template report jadi ada 2 ya untuk 1. Goal Setting dan untuk 2. Review&Final (ini template nya sama)

Tks

#4 - 06/16/2025 11:20 AM - Mr Dhafin

- File Report PMS GOAL.xIsx added

- Assignee changed from Mr Dhafin to Tri Rizqgiaty

Dear Mba Yoma,

Mohon bantuannya untuk melakukan mapping dan penyesuaian data pada laporan Performance Management System (PMS) — GOAL, yang

mencakup bagian Appraiser, KPI, Perilaku Kerja, serta Kompetensi Teknis, berdasarkan sumber data yang tersedia dalam sistem. Untuk referensi
portnya ini ya mba https://demo.minovais.com/Page/reports?gOMJdKyNmdkAiZG3HnWpYYsZva7XIg46

APPRAISER

1. Sumber: tabel PHRPAO0048 (hanya baris dengan nilai AppraisallD tidak null)
2. Appraisal ID = AppraisallD

3. Jenis Penilai = AppraiserType (misal: atasan, peer, self)

4. Bobot KPI = KPIWeight — proporsi KPI dalam penilaian

5. Bobot Kompetensi = QualificationWeight — proporsi aspek kompetensi

KPI
1. Sumber utama: tabel PHRPA0049 (baris per KPI per pegawai, AppraisalType = 'G')
2. EmployeelD — identifikasi pegawai

3. KPIGroup — di-join ke PHROMO0O001 (ObjectClass = 'KG') — dapatkan perspektif (Financial, Customer, dll.)
4. KPI — di-join ke PHROMO0001 (ObjectClass = 'K') — dapatkan nama indikator utama

5. SubKPIDescription, Target, Weight, Notes langsung dari PHRPA0049

PERILAKU KERJA

1. Sumber utama: tabel PHRPA0051

2. QualificationGroup — join ke PHROMO0001 (ObjectClass = 'QG') — — Aspek

3. QualificationID — join ke PHROMO0001 (ObjectClass = 'Q') - — Kompetensi

4. Weight — BOBOT (A), TargetProficiency — MIN (B), WeightedScore = AxB — NILAI

5. Notes langsung dari PHRPA0051

6. Menggunakan LEFT JOIN sehingga data utama tetap tampil meskipun referensi metadata tidak ditemukan

PERCENTAGE CALCULATION (%)

Data diambil berdasarkan informasi referensi field dari tabel berikut:

1. Sumber Data:

* Tabel utama: PDSPMSUMTOTALLESS

+» Kolom yang digunakan:

o KPIWeight, KPIBOBOT, KBIWeight, KBIBOBOT

2. Referensi Metadata:

+ Tabel SDATATABLEFIELD digunakan untuk mengambil daftar kolom (FieldName) dari tabel PDSPMSUMTOTALLESS

» Tabel SDATAFIELDLABEL digunakan untuk mendapatkan deskripsi field (ShortDescription dan HeaderTitle) berdasarkan FieldName

#5 - 06/17/2025 11:52 AM - Mr Dhafin
- File Report PMS REVIEW & FINAL.xlIsx added

Dear Mba Yoma,

Mohon bantuannya untuk melakukan mapping dan penyesuaian data pada laporan Performance Management System (PMS) — Review & Final,
mencakup bagian Appraiser, KPI, Penilaian KPI, Perilaku Kerja, Perhitungan Persentase (%), Skala Penilaian Hasil Kerja, Total, Final, serta
perhitungan akhir, berdasarkan sumber data yang tersedia dalam sistem.

Referensi port untuk laporan:

(lhttps://demo.minovais.com/Page/reports?gOMJdKyNmdkAIZG3HNWpYYsZva7Xlg46

Mapping Data & Referensi Tabel:

1. APPRAISER

» Sumber: PHRPA0048 (hanya baris dengan AppraisallD tidak null)
* Kolom:

o AppraisallD — Appraisal ID

o AppraiserType — Jenis Penilai (misal: atasan, peer, self)

o KPIWeight — Bobot KPI

o QualificationWeight — Bobot Kompetensi

2. KPI

» Sumber utama: PHRPAQ049 (filter AppraisalType ='G')

+ Kolom:

o EmployeelD — identifikasi pegawai

o KPIGroup — join ke PHROMO0001 (ObjectClass = 'KG') untuk Perspektif
0 KPI — join ke PHROMO0001 (ObjectClass = 'K') untuk nama KPI

o SubKPIDescription, Target, Weight, Notes — langsung dari PHRPAQ049
Penilaian KPI:

» Sumber data: PHRPAOO49ESS

+ Kolom penilaian: SCORE1, SCORE2, SCORE3, SCORE4, SCORES5

» Metadata: gunakan SDATATABLEFIELD untuk ambil daftar kolom (FieldName)

3. PERILAKU KERJA

» Sumber utama: PHRPA0051

» Kolom:

o QualificationGroup — join ke PHROMO0001 (ObjectClass = 'QG') untuk Aspek

o QualificationID — join ke PHROMO0001 (ObjectClass = 'Q') untuk Kompetensi

o Weight — BOBOT (A)

o TargetProficiency — MIN (B)

o0 WeightedScore = A x B — NILAI

o Notes — langsung dari PHRPAO0051

« Join menggunakan LEFT JOIN agar tetap menampilkan data meskipun metadata tidak ditemukan

4. PERHITUNGAN PERSENTASE ()

» Sumber data: PDSPMSUMTOTALLESS

+ Kolom yang digunakan: KPIWeight, KPIBOBOT, KBIWeight, KBIBOBOT

* Metadata:

0 SDATATABLEFIELD — untuk daftar FieldName

0 SDATAFIELDLABEL — untuk deskripsi kolom (ShortDescription x%x HeaderTitle)

5. SKALA PENILAIAN HASIL KERJA

07/03/2025 2/7


https://demo.minovais.com/Page/reports?gOMJdKyNmdkAiZG3HnWpYYsZva7XIg46

» Sumber metadata: SDATATABLEFIELD
* Tabel data: PHRPMIDXSCORE

* Kolom penting:

o IndexScoreDesc — deskripsi skor

0 MinScore — skor minimal

0 MaxScore — skor maksimal

6. TOTAL (PDSPMSUMTOTALESS)
Mapping kolom form ke field tabel berdasarkan FieldName:

KPI Weight

Ambil nilai dari kolom KPIWeight pada tabel PDSPMSUMTOTALESS, yang memiliki referensi definisi field:
* FieldName: KPIWeight

« DataRef: KPIBOBOT

KPI Final Score

Ambil nilai dari kolom KPIFinalScore pada tabel yang sama, dengan referensi:
» FieldName: KPIFinalScore

« DataRef: KPIFSCORE

KPI Calculated Score

Gunakan kolom KPICalculatedScore untuk skor KPI hasil kalkulasi otomatis, dengan definisi:
+ FieldName: KPICalculatedScore

« DataRef: KPICALSCORE

KPI Adjusted Score

Ambil dari kolom KPIAdjustedScore untuk nilai KPI yang telah disesuaikan, berdasarkan:
* FieldName: KPIAdjustedScore

+ DataRef: KPIADJSCORE

Competency Weight

Gunakan kolom KBIWeight untuk bobot kompetensi, dengan referensi:
* FieldName: KBIWeight

« DataRef: KBIBOBOT

Competency Final Score

Ambil nilai dari kolom KBIFinalScore, yaitu hasil akhir penilaian kompetensi, berdasarkan:
* FieldName: KBIFinalScore

« DataRef: KBIFSCORE

Competency Calculated Score

Gunakan KBICalculatedScore untuk skor hasil kalkulasi otomatis pada kompetensi, dengan definisi:
* FieldName: KBICalculatedScore

+ DataRef: KBICALSCORE

Competency Adjusted Score

Ambil data dari KBIAdjustedScore, yaitu skor kompetensi yang telah disesuaikan, dengan referensi:
» FieldName: KBIAdjustedScore

« DataRef: KBIADJSCORE

7. FINAL (PDSPMSUMFINALESS)

Menyajikan rekap akhir dan komentar atasan:

+ Kolom yang digunakan:

oTotalCalculatedScore — skor gabungan KPI + Kompetensi

o Calculatedindex — indeks kalkulasi

o TotalAdjustedScore — skor akhir setelah penyesuaian

o Adjustedindex — indeks skor penyesuaian

o KomentarAtasan — evaluasi atau masukan dari atasan langsung

#6 - 06/19/2025 08:55 AM - Kezia Pawitra Yulianti

- Priority changed from Urgent to Immediate

#7 - 06/20/2025 03:35 PM - Tri Rizqiaty
- Assignee changed from Tri Rizqiaty to Mr Dhafin

Dhafin, untuk yg table total & final ga bisa pakai referensi tol PDSPMSUMTOTALESS & PDSPMSUMFINALESS, karena tbl ini ga ada fisiknya di sql,
jd ga bs diambil datanya.
Tolong pakai table lainnya ya.

#8 - 06/23/2025 10:56 AM - Mr Dhafin
- File deleted (Report PMS REVIEW & FINAL.xIsx)
#9 - 06/23/2025 10:56 AM - Mr Dhafin
- File Report PMS REVIEW & FINAL.xIsx added

Dear Mba Yoma,

Untuk tabel Total dan Final dapat dihapus saja, ya Mba.
Berikut saya lampirkan template report yang telah diperbarui.

Terima kasih.

#10 - 06/23/2025 10:57 AM - Mr Dhafin
- Assignee changed from Mr Dhafin to Tri Rizqgiaty

#11 - 06/25/2025 10:49 AM - Tri Rizqiaty
- File Deploy 20250625 PMS Individu.rar added

- Status changed from Assigned to Developing

Fixing :

1. Deploy rdl terlampir
2. Execute SP terlampir
3. Di tol PCMEPRPTCATALOG, reportid 9000018 rubah field RdIName menjadi CRPTBKTPMSFORMFA

#12 - 06/25/2025 10:49 AM - Tri Rizqgiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqgiaty to Mr Dhafin

#13 - 06/25/2025 03:18 PM - Mr Dhafin

- File clipboard-202506251515-z0rdi.png added

- File clipboard-202506251516-gmvps.png added
- File clipboard-202506251517-nyf2y.png added
- File clipboard-202506251518-u5ceh.png added

Dear Mba Yoma,
Berikut beberapa hal terkait pengolahan data dan pengisian informasi pada laporan penilaian:
1. Bagian Kompetensi pada Formulir C

Mohon untuk disembunyikan (di-hide) ya Mba, karena bagian ini hanya ditampilkan pada tahap Final & Review. Pada tahap PMS Goal, bagian ini
tidak muncul.

FORMULIR C
KOMPETENSI
KOMPETENSI TEKNIS PROFICIENCY LEVEL SELF ASSESSMENT SUPERVISOR ASSESSMENT
1 Integritas 5.00 1.00 5.00
2 Melayani 4.00 2.00 10.00
3 Empati 3.00 3.00 12.00
4 Dampak 3.00 4.00 16.00
5 Inovasi 3.00 5.00 20.00
6 Aktif 3.00 4.00 20.00
7 Kerjasama Kelompok 4.00 3.00 15.00
8 Pemikiran Analitis 4.00 2.00 8.00
9 Upaya Ekstra 4.00 3.00 12.00
10 Fokus pada Hasil 4.00 3.00 15.00
11 Pencarian Informasi 4.00 1.00 4.00
12 Kepedulian Terhadap Keteraturan dan Kualitas 5.00 4.00 20.00

2. Kolom Nama Karyawan / Pangkat / Tanda Tangan / Tanggal
Data pada kolom ini diambil dari Employee ID Report karyawan, dengan cara melakukan filter berdasarkan EmployeelD. Ketentuan ini berlaku untuk
seluruh karyawan, karena dalam laporan tersebut mencakup banyak entri nama, pangkat, tanda tangan, dan tanggal.
3. Kolom Nama Atasan / Pangkat / Tanda Tangan / Tanggal

Nilai ini bersumber dari tabel PHRPA0048, dengan mencocokkan Appraisal Type. Misalnya, untuk tipe F, G, atau P, maka atasan yang tercantum
bisa berbeda. Data atasan diambil dari kolom AppraisallD, dengan menyesuaikan ReglID dari pengajuan yang bersangkutan. Ini berlaku secara
umum untuk seluruh karyawan.

PERSETUJUAN PENILAIAN KPI

ESRA ANGGRAENI,S.T. LINA AGUSTINA HUSEN,S.P.

Nama Karyawan / Pangkat / Tanda Tangan / Tanggal Nama Atasan / Pangkat / Tanda Tangan [ Tanggal

4. Komentar Atasan & Komentar Atasan Lebih Tinggi
Kolom komentar ini diambil dari tabel PHRPA0047, menggunakan field KomentarAtasan dan KomentarAtasanLebihTinggi.

FORMULIR D

KOMENTAR ATAS PENCAPAIAN KERJA

TANDA TANGAN KARYAWAN

ESRA ANGGRAENI,S.T.

Nama / Pangkat / Tanda Tangan / Tanggal

KOMENTAR ATASAN
(Komentar atasan untuk pencapaian kinerja karyawan secara keseluruhan yang meliputi pencapaian KPI dan Kompetensi

LINA AGUSTINA HUSEN,S.P.

Nama / Pangkat / Tanda Tangan / Tanggal

KOMENTAR ATASAN YANG LEBIH TINGGI
(Pendapat, rekomendasi, persetujuan dari atasan yang lebih tinggi atas hasil penilaian karyawan yang dilakukan oleh atasannya)

Nama / Pangkat / Tanda Tangan / Tanggal

Terimakasih mba.

#14 - 06/25/2025 03:19 PM - Mr Dhafin
- Assignee changed from Mr Dhafin to Tri Rizgiaty

#15 - 06/26/2025 02:55 PM - Tri Rizgiaty
- File Deploy 20250626 PMS Individu.rar added
- Assignee changed from Tri Rizqgiaty to Mr Dhafin

Fixing :

1. Update rdl terlampir
2. Execute SP terlampir

#16 - 06/26/2025 05:25 PM - Mr Dhafin
- File clipboard-202506261724-ccalr.png added
- File clipboard-202506261725-7x5¢ef.png added

Dear Mba Yoma,

Terkait Formulir C, pada bagian Kompetensi, datanya diambil dari PHRPA0051New dengan filter berdasarkan Appraisal Type. Karena data

Kompetensi hanya tersedia di report PMS Review dan Final, maka hanya Appraisal Type 'P' dan 'F' yang digunakan.

Untuk deskripsi pada kolom Kompetensi Teknis, nilai tersebut diambil dari field KompetensiTeknis yang kemudian dicocokkan dengan tabel
PHROMO0001 menggunakan field ObjectClass, dan difilter dengan nilai "Q".
LINA AGUSTINA HUSEN,S.P.
Nama Atasan / Pangkat / Tanda Tangan / Tanggal
FORMULIR C
KOMPETENSI
NO. KOMPETENSI TEKNIS PROFICIENCY LEVEL SELF ASSESSMENT SUPERVISOR ASSESSMENT
Integritas 500 100 5.00
Melayani 400 200 10.00
Empati 300 3.00 1200
Dampak 300 2.00 16.00
Inovasi 300 5.00 20.00
Akt 300 2.00 20.00
Kerjasama Kelompok 400 3.00 15.00
Pemikiran Analitis 400 200 800
Upaya Ekstra 400 3.00 12.00
10 Fokus pada Hasil 400 3.00 15.00
1 Pencarian Informasi 400 100 400
12 Kepedulian Terhadap Keteraturan dan Kualitas 500 2.00 20.00

SKALA PENILAIAN HASIL KERJA

INDEX SCORE DESC MIN SCORE

MAX SCORE

3 c 270

359

Help (i Dhafin ~

Sementara untuk bagian Appraiser, tidak perlu menampilkan seluruh data. Cukup ditampilkan berdasarkan RegID saja. Sebagai contoh, jika ReglD
adalah 1384122, maka AppraisallD-nya hanya 00000974 dan 00000616. Ini berlaku untuk Appraisal Type G, P, dan F.

=

M My Workplace

B Master Data

B HR Administration

W Budgeting

M Compensation

Performance Appraisal
Import Performance Data

Export Performance Data

Employee KP List by Status

Employee List by Work Unit

Work Unit List

KPI Dashboard

M Talent Management

B Training Management

Terima kasih.

My Workplace ~ Master Data  Human Resource

Appraisal Type: 03 - Final Appraisal

Business Intelligence  System Administration

Search

Help (I Dhafin -

@ View Report

o4 1 Jof2 » bl

Select a format ~ | Export

Divisi/ Cabang

DEPARTEMEN OPERASIONAL HUMAN CAFTTAL

Direktorat

Jenis Penilaian Kerja

Penilaian pertengahan tahun (Six-month Review)

X

Penilaian akhir tahun

Periode Penilaian

01/01/2025 s/d 31/1212025

APPRAISER

APPRAISER ID

LINAAGUSTINA HUSEN,SP.

LINAAGUSTINA HUSEN,SP.

1

2

3 LINAAGUSTINA HUSEN,SP.
4 | DEWA GEDE ADIWIRANATA. S E.
5 | DEWA GEDE ADIWIRANATA.S.E.

mmon

0.00
0.00
0.00
0.00
0.00

APPRAISER TYPE KPI WEIGHT QUALIFICATION WEIGHT

0.00
0.00
0.00
0.00
0.00

FORMULIR A
KPI
PERSPECTIVE

()

Financiall Customer/ Internal
Process/ People

#17 - 06/26/2025 05:25 PM - Mr Dhafin

- Status changed from QA Test to Assigned

07/03/2025

KEY PERFORMANCE INDICATOR

B

Tuliskan sasaran kerja yang akan dicapai selama
periode penaian

Sub KPI Desc

TARGET

©

Tuliskan TargetYang Tuliskan Bobot untuk
ditetapkan untuk setiap KPI

setiap KPI

ACTUAL ACHIEVEMENT KPI
SCORE

&) (5]
Tuliskan Realisasi pencapaian Nilai KPI sesuai
dari sefiap KPI sesuai rentang  pencapaian aktual |

Target yang telah ditentukan realisasi, skala 1 sid 5
sebelumnya
- Assignee changed from Mr Dhafin to Tri Rizqgiaty

#18 - 06/30/2025 02:37 PM - Tri Rizqiaty

- File Deploy 20250630 PMS Individu.rar added

- Status changed from Assigned to QA Test

- Assignee changed from Tri Rizqiaty to Mr Dhafin

Fixing :

1. Deploy rdl terlampir
2. Execute SP terlampir

Files

Copy of contoh metode evaluasi(1).xlsx 32.7 KB 06/09/2025 Mohammad Daud
Report PMS GOAL.xIsx 28.7 KB 06/16/2025 Mr Dhafin
Report PMS REVIEW & FINAL.xIsx 71 KB 06/23/2025 Mr Dhafin
Deploy 20250625 PMS Individu.rar 108 KB 06/25/2025 Tri Rizqgiaty
clipboard-202506251515-z0rdi.png 27.9 KB 06/25/2025 Mr Dhafin
clipboard-202506251516-gmvps.png 7.96 KB 06/25/2025 Mr Dhafin
clipboard-202506251517-nyf2y.png 7.96 KB 06/25/2025 Mr Dhafin
clipboard-202506251518-u5ceh.png 27.7 KB 06/25/2025 Mr Dhafin
Deploy 20250626 PMS Individu.rar 39 KB 06/26/2025 Tri Rizqgiaty
clipboard-202506261724-ccalr.png 119 KB 06/26/2025 Mr Dhafin
clipboard-202506261725-7x5ef.png 132 KB 06/26/2025 Mr Dhafin
Deploy 20250630 PMS Individu.rar 9.88 KB 06/30/2025 Tri Rizgiaty
